/cosmos/gov/v1/proposals/{proposal_id}
GET
Proposal queries proposal details based on ProposalID.
Path Parameters
proposal_idstringrequired
proposal_id is the unique id of a proposal.Responses
Proposal defines the core field members of a governance proposal.
idstring
proposal_id is the unique id of a proposal.messages are the arbitrary messages to be executed if the proposal passes.
type_urlstring
A URL/resource name that uniquely identifies the type of the serializedprotocol buffer message. This string must contain at leastone "/" character. The last segment of the URL's path must representthe fully qualified name of the type (as inpath/google.protobuf.Duration). The name should be in a canonical form(e.g., leading "." is not accepted).In practice, teams usually precompile into the binary all types that theyexpect it to use in the context of Any. However, for URLs which use thescheme http, https, or no scheme, one can optionally set up a typeserver that maps type URLs to message definitions as follows:- If no scheme is provided,
httpsis assumed. - An HTTP GET on the URL must yield a [google.protobuf.Type][]
- Applications are allowed to cache lookup results based on the
http, https (or the empty scheme) might beused with implementation specific semantics.valuestring
Must be a valid serialized protocol buffer of the above specified type.statusstring
status defines the proposal status.final_tally_result is the final tally result of the proposal. Whenquerying a proposal via gRPC, this field is not populated until theproposal's voting period has ended.
yes_countstring
yes is the number of yes votes on a proposal.abstain_countstring
abstain is the number of abstain votes on a proposal.no_countstring
no is the number of no votes on a proposal.no_with_veto_countstring
no_with_veto is the number of no with veto votes on a proposal.submit_timestring
submit_time is the time of proposal submission.deposit_end_timestring
deposit_end_time is the end time for deposition.total_deposit is the total deposit on the proposal.
denomstring
amountstring
voting_start_timestring
voting_start_time is the starting time to vote on a proposal.voting_end_timestring
voting_end_time is the end time of voting on a proposal.metadatastring
titlestring
summarystring
proposerstring
expeditedboolean
failed_reasonstring
codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "An unexpected error response."}
cURL
curl -X GET 'https://rest-cosmos-mainnet.nodit.io/cosmos/gov/v1/proposals/{proposal_id}' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo'